summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-12 10:38:15 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-12 10:38:15 +0000
commit1cd094b531ff2a9f1d6acb4b781c118d12b51343 (patch)
tree86682d7e3c76817652ba74b82d3047a75ea8f51f
parent28da2e962565a4ded17c427776529b43f3527186 (diff)
New and simplified organisation of backporting scripts
Now backports for different distributions (squeeze, wheezy, jessie) can be started from the same working directory. Also, single package builds can be done without editing a script. git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@111 f247ebf9-aa24-0410-a698-f940e971ad2b
-rw-r--r--README20
-rwxr-xr-xbackport115
-rw-r--r--backport_jags.sh44
-rw-r--r--backport_others50
-rw-r--r--backport_others.sh54
-rw-r--r--backport_r-base.sh74
-rw-r--r--backport_tcl.sh42
-rw-r--r--backport_texinfo.sh42
-rw-r--r--backport_tk.sh42
-rw-r--r--build_jags.sh14
-rw-r--r--build_tcl.sh15
-rw-r--r--build_texinfo.sh15
-rw-r--r--build_tk.sh15
-rw-r--r--jessie/jags-reverts.sh3
-rw-r--r--squeeze/jags-reverts.sh3
-rw-r--r--squeeze/r-base-reverts.sh13
-rw-r--r--wheezy/jags-reverts.sh3
17 files changed, 203 insertions, 361 deletions
diff --git a/README b/README
index f280923..13fc280 100644
--- a/README
+++ b/README
@@ -22,9 +22,19 @@ This means I have the appropriate aptcache and buildresult directories set up
under /var/cache/pbuilder. I have several pbuilder images used for package
creation under /var/cache/pbuilder, among others:
-/var/cache/pbuilder/squeeze-i386-base.tgz
+ /var/cache/pbuilder/squeeze-i386-base.tgz
-These have a standard Debian mirror, the security sources and the Debian
+With the pbuilderrc mentioned above, this can be created as a normal user with
+
+ export ARCH=i386
+ export DIST=squeeze
+ sudo -E pbuilder create
+
+Then, using
+
+ sudo -E pbuilder login --save-after-login
+
+these have a standard Debian mirror, the security sources and the Debian
backports repository setup in their /etc/apt/sources.list, as well as my local
http package source where the r-base package build results are available. I
have also imported the apt key of my repository inside the pbuilder chroots.
@@ -35,5 +45,7 @@ For some reason, the keyring option to debootstrap is not used (necessary on
Ubuntu) so I need to pass this on the commandline when building the pbuilder
chroot for wheezy-i386.
-When using these scripts on Debian, I configure sudo to allow my normal user to
-use pbuilder, apt-get and the backporting scripts
+When using these scripts on Debian, I used to configure sudo to allow my normal
+user to use pbuilder, apt-get and the backporting scripts. Currently, I have
+set up my wheezy installation using the Ubuntu like sudo configuration that
+can be selected during installation.
diff --git a/backport b/backport
new file mode 100755
index 0000000..4941aa0
--- /dev/null
+++ b/backport
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+# Script to automate backporting for CRAN
+# Creates a source package and binary packages for the following architecture
+ARCH=i386
+export ARCH
+
+# R version against which the software is compiled
+Rversion=3.2.3
+reposversion="cran3"
+
+# Where the buildresults should be stored
+rcrandir=/home/jranke/svn/website/www/ranke/r-cran
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# Preconditions:
+# - up to date R version specified above, for packages depending on R
+# - sudo and pbuilder configuration (see README)
+# - sid sources in /etc/apt/sources/list
+# - cdbs installed (and maybe more)
+# - shell variables DEBEMAIL and DEBFULLNAME
+
+usage()
+{
+echo "Usage: ./backport [options] sourcepackage squeeze|wheezy|jessie"
+echo "Options:"
+echo " -n Skip apt-get update/upgrade and pbuilder update"
+}
+
+update=true
+while getopts ":n" flag; do
+ case $flag in
+ n)
+ update=false
+ ;;
+ \?)
+ echo "Invalid option: -$OPTARG" >&2
+ ;;
+ esac
+ shift $((OPTIND-1))
+done
+
+# Check for number of arguments
+if [ $# -lt 2 ]; then usage; exit 1; fi
+pkg=$1
+DIST=$2
+
+# Validate distribution argument
+if [ $DIST != "squeeze" ] && [ $DIST != "wheezy" ] && [ $DIST != "jessie" ]; then usage; exit 1; fi
+export DIST
+
+# Set required r-base-dev version for packages build-depending on R
+rbasedev="r-base-dev (>= $Rversion)"
+
+# Remove previously extracted sources
+if [ -d $pkg-* ]
+then
+ sudo rm -rf `ls -d $pkg-*`
+fi
+
+# Get current source from unstable
+if [ "$update" = true ]
+then
+ sudo apt-get update
+ sudo apt-get upgrade
+fi
+sudo apt-get source $pkg
+
+# Copy sources to $DIST directory to enable parallel builds
+mkdir -p $DIST
+cp -r $pkg-* $DIST
+
+# Go to package building directory
+cd $DIST/$pkg-*
+
+# Determine the version of the Debian package
+oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
+cranversion=$oldversion"~"$DIST"cran.0"
+
+echo Old version is $oldversion
+echo CRAN version is $cranversion
+
+# Add new version to changelog
+dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
+
+# Adapt build dependency on r-base-dev if present
+if grep -q "^Build-Depends.*r-base-dev" debian/control
+then
+ echo "Lowering Build-Depends to $rbasedev"
+ ssed -i -R "/^Build-Depends/s/r-base-dev \(>= .*?\)/$rbasedev/" debian/control
+ ssed -i -R "/^Build-Depends-Indep/s/r-base-dev \(>= .*?\)/$rbasedev/" debian/control
+
+ dch -a "debian/control: adapt build dependencies on r-base-dev to current backport"
+fi
+
+# Check for a script doing modifications required for backporting
+script=../$pkg-reverts.sh
+
+if [ -f $script ]; then source $script; fi
+
+if [ "$update" = true ]
+then
+ sudo -E pbuilder update
+fi
+sudo -E pdebuild --debbuildopts '-sa' \
+ --buildresult $rcrandir/$DIST-cran3/ \
+ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz \
+ --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache \
+ --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
+if [ $? -ne 0 ]; then
+ exit
+fi
+
+cd ..
diff --git a/backport_jags.sh b/backport_jags.sh
deleted file mode 100644
index f3a2987..0000000
--- a/backport_jags.sh
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/bash
-
-# Script to automate backporting jags for CRAN
-
-# Author: Johannes Ranke <jranke@uni-bremen.de>
-
-# Preconditions: - shell variables DIST and ARCH
-# - sid sources in /etc/apt/sources/list
-# - cdbs installed (and maybe more)
-
-export DEBEMAIL="jranke@uni-bremen.de"
-export DEBFULLNAME="Johannes Ranke"
-echo Distribution is $DIST
-echo Architecture is $ARCH
-
-if [ -d jags-* ]
-then
- rm -rf `ls -d jags-*`
-fi
-
-apt-get update
-apt-get source jags
-
-cd jags-*
-
-# Old version
-oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
-cranversion=$oldversion"~"$DIST"cran.0"
-
-echo Old version is $oldversion
-echo CRAN version is $cranversion
-
-# Add new version to changelog
-dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
-
-# Reverts for squeeze
-
-pbuilder update
-pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran3/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
-if [ $? -ne 0 ]; then
- exit
-fi
-
-cd ..
diff --git a/backport_others b/backport_others
new file mode 100644
index 0000000..697ede1
--- /dev/null
+++ b/backport_others
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# Script to automate backporting for CRAN
+# Make sure the R version in ./backport is correctly set and the pbuilder chroot is updated
+
+usage()
+{
+echo "Usage: ./backport_others [options] squeeze|wheezy|jessie"
+echo "Options:"
+echo " -n Skip apt-get update/upgrade and pbuilder update"
+}
+
+update=true
+while getopts ":n" flag; do
+ case $flag in
+ n)
+ update=false
+ ;;
+ \?)
+ echo "Invalid option: -$OPTARG" >&2
+ ;;
+ esac
+ shift $((OPTIND-1))
+done
+
+# Check for number of arguments
+if [ $# -lt 1 ]; then usage; exit 1; fi
+DIST=$1
+
+# Update pbuilder chroot
+if [ "$update" = true ]
+then
+ sudo -E pbuilder update
+fi
+
+# Validate distribution argument
+if [ $DIST != "squeeze" ] && [ $DIST != "wheezy" ] && [ $DIST != "jessie" ]; then usage; exit 1; fi
+export DIST
+
+# When doing a new repository, lattice, r-cran-mass and survival have to be
+# built first, then nlme and rmatrix, then the rest
+
+# Packages to backport to squeeze/wheezy/jessie (without rpy2):
+for i in lattice nlme rmatrix mgcv boot cluster codetools foreign kernsmooth r-cran-class r-cran-coda r-cran-spatial r-cran-nnet r-cran-mass rodbc rpart survival r-cran-littler rpy rkward r-cran-rjags; do
+
+ ./backport -n $i $DIST
+
+done
diff --git a/backport_others.sh b/backport_others.sh
deleted file mode 100644
index f3db13f..0000000
--- a/backport_others.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-# Author: Johannes Ranke <jranke@uni-bremen.de>
-
-# Run with (requires sudo configuration on Debian)
-# sudo -E ./backport_others.sh
-
-# Preconditions: - shell variables DIST and ARCH
-# - pbuilder chroot set up (see README)
-# - current R backport in /etc/apt/sources/list of pbuilder chroot
-# - sid sources in /etc/apt/sources/list
-# - ssed and cdbs installed (and maybe more)
-# - Set the R version
-
-# R version against which the software is compiled
-Rversion=3.2.2
-reposversion="cran3"
-
-echo Distribution is $DIST
-echo Architecture is $ARCH
-
-text="Recompiled on $DIST for CRAN"
-rbasedev="r-base-dev (>= $Rversion~$DIST$reposversion.0)"
-
-# Update the Package listings of the host system
-apt-get update
-# Update the pbuilder chroot
-pbuilder update
-
-# When doing a new repository, lattice, r-cran-mass and survival have to be
-# built first, then nlme and rmatrix, then the rest
-
-# single package:
-#for i in r-cran-rjags; do
-# squeeze/wheezy packages (without rpy2):
-for i in lattice nlme rmatrix mgcv boot cluster codetools foreign kernsmooth r-cran-class r-cran-coda r-cran-spatial r-cran-nnet r-cran-mass rodbc rpart survival littler rpy rkward r-cran-rjags; do
- apt-get source $i
- cd $i-*
- version=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`~$DIST"cran."$Rversion
- dch -b -v $version --force-distribution -D $DIST-$reposversion $text
-
- ssed -i -R "/^Build-Depends/s/r-base-dev \(>= .*?\)/$rbasedev/" debian/control
- ssed -i -R "/^Build-Depends-Indep/s/r-base-dev \(>= .*?\)/$rbasedev/" debian/control
-
- dch -a "debian/control: adapt build dependencies on r-base-dev to current backport"
-
- if [ $i = "r-cran-rjags" ]
- then
- ssed -i -R "/^Build-Depends/s/jags \(>= 3.4.0-3\)/jags \(>= 3.4.0\)/" debian/control
- dch -a "debian/control: lower version requirement for jags as build dependency as 4.0.3 is not needed for backports"
- fi
-
-
- pdebuild --debbuildopts '-sa' --buildresult /home/jranke/svn/website/www/ranke/r-cran/$DIST-$reposversion/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
- cd ..
-done
diff --git a/backport_r-base.sh b/backport_r-base.sh
deleted file mode 100644
index b2bb42f..0000000
--- a/backport_r-base.sh
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/bash
-
-# Script to automate backporting r-base for CRAN
-
-# Author: Johannes Ranke <jranke@uni-bremen.de>
-
-# Developed in parallel with Vincent Goulet <vincent.goulet@act.ulaval.ca>
-# Run with (requires sudo configuration on Debian)
-# sudo -E ./backport_r-base.sh
-
-# Preconditions: - shell variables DIST and ARCH
-# - sid sources in /etc/apt/sources/list
-# - cdbs installed (and maybe more)
-
-export DEBEMAIL="jranke@uni-bremen.de"
-export DEBFULLNAME="Johannes Ranke"
-echo Distribution is $DIST
-echo Architecture is $ARCH
-
-if [ -d r-base-* ]
-then
- rm -rf `ls -d r-base-*`
-fi
-
-apt-get update
-apt-get upgrade
-apt-get source r-base
-
-# Change any ~ in the name of the build directory for a - to avoid a
-# bug in texi2dvi. Thanks Vincent
-if [ -d r-base-*~* ]
-then
- dir=`ls -d r-base-*~*`
- mv $dir `echo $dir | sed y/~/-/`
-fi
-
-cd r-base-*
-
-# Old version
-oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
-reposversion="cran3"
-cranversion=$oldversion"~"$DIST$reposversion".0"
-
-echo Old version is $oldversion
-echo CRAN version is $cranversion
-
-# Add new version to changelog
-dch -v "${cranversion}" --force-distribution -D $DIST-$reposversion -b "Backport from Debian unstable to Debian $DIST"
-
-# Reverts for squeeze only:
-if [ $DIST = "squeeze" ]
-then
- # 1. Starting with Debian packages for R 2.15.3 there is a build
- # dependency on 'libtiff5-dev' which is not in squeeze. Changing to
- # libtiff-dev, which is libtiff4-dev on squeeze.
-
- sed -i '/^Build-Depends/s/libtiff5-dev/libtiff-dev/' debian/control
- dch -a "debian/control: Change Build-Depends: from libtiff5-dev to libtiff-dev"
-
- # 2. Lower build dependencies for tcl 8.6 and tk 8.6
- # which are not available in squeeze
- sed -i '/^Build-Depends/s/tcl8.6-dev/tcl8.5-dev/' debian/control
- sed -i '/^Build-Depends/s/tk8.6-dev/tk8.5-dev/' debian/control
- dch -a "debian/control: Change Build-Depends: from tcl8.6-dev to tcl8.5-dev"
- dch -a "debian/control: Change Build-Depends: from tk8.6-dev to tk8.5-dev"
-fi
-
-pbuilder update --debootstrapopts "--keyring=/usr/share/keyrings/debian-archive-keyring.gpg"
-pdebuild --debbuildopts '-sa' --buildresult /home/jranke/svn/website/www/ranke/r-cran/$DIST-$reposversion/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
-if [ $? -ne 0 ]; then
- exit
-fi
-
-cd ..
diff --git a/backport_tcl.sh b/backport_tcl.sh
deleted file mode 100644
index dd15577..0000000
--- a/backport_tcl.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-# Script to automate backporting tcl8.6 for CRAN
-
-# Author: Johannes Ranke <jranke@uni-bremen.de>
-
-# Preconditions: - shell variables DIST and ARCH
-# - sid sources in /etc/apt/sources/list
-# - cdbs installed (and maybe more)
-
-export DEBEMAIL="jranke@uni-bremen.de"
-export DEBFULLNAME="Johannes Ranke"
-echo Distribution is $DIST
-echo Architecture is $ARCH
-
-if [ -d tcl8.6-* ]
-then
- rm -rf `ls -d tcl8.6-*`
-fi
-
-apt-get update
-apt-get source tcl8.6
-
-cd tcl8.6-*
-
-# Old version
-oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
-cranversion=$oldversion"~"$DIST"cran.0"
-
-echo Old version is $oldversion
-echo CRAN version is $cranversion
-
-# Add new version to changelog
-dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
-
-pbuilder update
-pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran3/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
-if [ $? -ne 0 ]; then
- exit
-fi
-
-cd ..
diff --git a/backport_texinfo.sh b/backport_texinfo.sh
deleted file mode 100644
index a595647..0000000
--- a/backport_texinfo.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-# Script to automate backporting texinfo for CRAN, so we get /usr/bin/texi2any
-
-# Author: Johannes Ranke <jranke@uni-bremen.de>
-
-# Preconditions: - shell variables DIST and ARCH
-# - sid sources in /etc/apt/sources/list
-# - cdbs installed (and maybe more)
-
-export DEBEMAIL="jranke@uni-bremen.de"
-export DEBFULLNAME="Johannes Ranke"
-echo Distribution is $DIST
-echo Architecture is $ARCH
-
-if [ -d texinfo-* ]
-then
- rm -rf `ls -d texinfo-*`
-fi
-
-apt-get update
-apt-get source texinfo
-
-cd texinfo-*
-
-# Old version
-oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
-cranversion=$oldversion"~"$DIST"cran.0"
-
-echo Old version is $oldversion
-echo CRAN version is $cranversion
-
-# Add new version to changelog
-dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
-
-pbuilder update
-pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran3/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
-if [ $? -ne 0 ]; then
- exit
-fi
-
-cd ..
diff --git a/backport_tk.sh b/backport_tk.sh
deleted file mode 100644
index 35759eb..0000000
--- a/backport_tk.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-# Script to automate backporting tk8.6 for CRAN
-
-# Author: Johannes Ranke <jranke@uni-bremen.de>
-
-# Preconditions: - shell variables DIST and ARCH
-# - sid sources in /etc/apt/sources/list
-# - cdbs installed (and maybe more)
-
-export DEBEMAIL="jranke@uni-bremen.de"
-export DEBFULLNAME="Johannes Ranke"
-echo Distribution is $DIST
-echo Architecture is $ARCH
-
-if [ -d tk8.6-* ]
-then
- rm -rf `ls -d tk8.6-*`
-fi
-
-apt-get update
-apt-get source tk8.6
-
-cd tk8.6-*
-
-# Old version
-oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
-cranversion=$oldversion"~"$DIST"cran.0"
-
-echo Old version is $oldversion
-echo CRAN version is $cranversion
-
-# Add new version to changelog
-dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
-
-pbuilder update
-pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran3/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /var/cache/pbuilder/$DIST-$ARCH/aptcache --buildplace /var/cache/pbuilder/$DIST-$ARCH/build
-if [ $? -ne 0 ]; then
- exit
-fi
-
-cd ..
diff --git a/build_jags.sh b/build_jags.sh
deleted file mode 100644
index b0c7a19..0000000
--- a/build_jags.sh
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/bash
-
-# Script to facilitate building jags binaries for CRAN in a chroot
-# Matching CRAN sources must be in /etc/apt/sources.list of the chroot
-
-apt-get update
-apt-get build-dep jags
-apt-get source jags
-
-cd jags-*
-
-dpkg-buildpackage -B
-
-cd ..
diff --git a/build_tcl.sh b/build_tcl.sh
deleted file mode 100644
index fac97d2..0000000
--- a/build_tcl.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# Script to facilitate building tcl/tk 8.6 binaries for CRAN in a chroot
-# Matching CRAN sources must be in /etc/apt/sources.list of the chroot
-
-apt-get update
-apt-get build-dep tcl8.6
-
-apt-get source tcl8.6
-
-cd tcl8.6-*
-
-dpkg-buildpackage -B
-
-cd ..
diff --git a/build_texinfo.sh b/build_texinfo.sh
deleted file mode 100644
index de062e7..0000000
--- a/build_texinfo.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# Script to facilitate building texinfo binaries for CRAN in a chroot
-# Matching CRAN sources must be in /etc/apt/sources.list of the chroot
-
-apt-get update
-apt-get build-dep texinfo
-
-apt-get source texinfo
-
-cd texinfo-*
-
-dpkg-buildpackage -B
-
-cd ..
diff --git a/build_tk.sh b/build_tk.sh
deleted file mode 100644
index 8551133..0000000
--- a/build_tk.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# Script to facilitate building tcl/tk 8.6 binaries for CRAN in a chroot
-# Matching CRAN sources must be in /etc/apt/sources.list of the chroot
-
-apt-get update
-apt-get build-dep tk8.6
-
-apt-get source tk8.6
-
-cd tk8.6-*
-
-dpkg-buildpackage -B
-
-cd ..
diff --git a/jessie/jags-reverts.sh b/jessie/jags-reverts.sh
new file mode 100644
index 0000000..97a5bd1
--- /dev/null
+++ b/jessie/jags-reverts.sh
@@ -0,0 +1,3 @@
+ssed -i -R "/^Build-Depends/s/gfortran \(.*\)/gfortran/" debian/control
+ssed -i -R "/^Build-Depends/s/g++ \(.*\)/g++/" debian/control
+dch -a "debian/control: remove version requirements for gfortran and g++"
diff --git a/squeeze/jags-reverts.sh b/squeeze/jags-reverts.sh
new file mode 100644
index 0000000..97a5bd1
--- /dev/null
+++ b/squeeze/jags-reverts.sh
@@ -0,0 +1,3 @@
+ssed -i -R "/^Build-Depends/s/gfortran \(.*\)/gfortran/" debian/control
+ssed -i -R "/^Build-Depends/s/g++ \(.*\)/g++/" debian/control
+dch -a "debian/control: remove version requirements for gfortran and g++"
diff --git a/squeeze/r-base-reverts.sh b/squeeze/r-base-reverts.sh
new file mode 100644
index 0000000..878b5ec
--- /dev/null
+++ b/squeeze/r-base-reverts.sh
@@ -0,0 +1,13 @@
+ # 1. Starting with Debian packages for R 2.15.3 there is a build
+ # dependency on 'libtiff5-dev' which is not in squeeze. Changing to
+ # libtiff-dev, which is libtiff4-dev on squeeze.
+
+ sed -i '/^Build-Depends/s/libtiff5-dev/libtiff-dev/' debian/control
+ dch -a "debian/control: Change Build-Depends: from libtiff5-dev to libtiff-dev"
+
+ # 2. Lower build dependencies for tcl 8.6 and tk 8.6
+ # which are not available in squeeze
+ sed -i '/^Build-Depends/s/tcl8.6-dev/tcl8.5-dev/' debian/control
+ sed -i '/^Build-Depends/s/tk8.6-dev/tk8.5-dev/' debian/control
+ dch -a "debian/control: Change Build-Depends: from tcl8.6-dev to tcl8.5-dev"
+ dch -a "debian/control: Change Build-Depends: from tk8.6-dev to tk8.5-dev"
diff --git a/wheezy/jags-reverts.sh b/wheezy/jags-reverts.sh
new file mode 100644
index 0000000..97a5bd1
--- /dev/null
+++ b/wheezy/jags-reverts.sh
@@ -0,0 +1,3 @@
+ssed -i -R "/^Build-Depends/s/gfortran \(.*\)/gfortran/" debian/control
+ssed -i -R "/^Build-Depends/s/g++ \(.*\)/g++/" debian/control
+dch -a "debian/control: remove version requirements for gfortran and g++"

Contact - Imprint